from util import BaseCheckList, annotate_all

def check_missing_data_flag(frame, parameters):
    if 'missingDataFlag' not in frame:
        return frame
    missing_data = (frame['missingDataFlag'] == 1)
    frame['check_missing_data_flag'] = missing_data * 1
    annotate_all(frame, missing_data, 'missing data')
    return frame

class CheckList(BaseCheckList):
    checks = [ check_missing_data_flag ]
